﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */

/* modern sticky footer */


@media (min-width: 576px) {
    .container
    {
        /*max-width: 540px;  */
    }
}

@media (min-width: 768px) {
    .container {
        /*max-width: 720px;  */
    }
}

@media (min-width: 992px) {
    .container {
        /*max-width: 960px;  */
    }
}

@media (min-width: 1200px) {
    .container {
        /*max-width: 1140px;  */
    }
}

@media (min-width: 1400px) {
    .container {
        /*max-width: 1320px; */
    }
}

td.details-control  {
    background: url('/images/details_open.svg') no-repeat center center;
    background-size: 15px 15px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    overflow: hidden;
}

tr.shown td.details-control {
    background: url('/images/details_close.svg') no-repeat center center;
    background-size: 15px 15px;
    width: 30px;
    height: 30px;
    overflow: hidden;
}
html, body {
    height: 100%;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

main { /* or your content wrapper */
    flex: 1 0 auto; /* grows to push footer down */
}

.footer {
    position: static !important; /* ensure it participates in flow */
    margin-top: auto; /* pins to bottom when content is short */
}

